# norootforbuild

%define _prefix /usr

Name:          portaudio
Summary:       Portable Real-Time Audio Library
Version:       19
Release:       242.2
License:       BSD
Group:         System/Libraries

Source:        pa_stable_v19_20071207.tar.gz
Patch:	       portaudio.diff
URL:           http://www.portaudio.com/
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
BuildRequires: dos2unix libjack0 libjack-devel jack gcc-c++ doxygen alsa-lib-devel alsa-lib
Requires:	libjack0

%description
PortAudio is a portable audio I/O library designed for cross-platform support
of audio. It uses a callback mechanism to request audio processing. Audio can
be generated in various formats, including 32 bit floating point, and will be
converted to the native format internally.

Authors:
Phil Burk
Ross Bencina

%package devel
Summary:       Development package for the portaudio library
Group:         Development/Languages/C and C++
Requires:      %{name} = %{version}

%description devel
This package contains the files needed to compile programs that use the
portaudio library.

The include portaudio.h was renamed to portaudio19.h.

%debug_package

%prep
%setup -q -n portaudio
%patch

autoreconf --force --install
%{?suse_update_config:%{suse_update_config -f}}
%if 0%{?suse_version}
%suse_update_libdir Makefile.in
%endif
dos2unix  README.txt LICENSE.txt index.html
%__chmod 644 README.txt LICENSE.txt index.html

%build
chmod +x configure
CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC -ljack -lasound" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
    --with-alsa=yes \
    --with-jack=yes \
    --with-oss=yes || cat config.log

%__make
doxygen

%install
%__make DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt LICENSE.txt
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc index.html
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/portaudio-2.0.pc
%{_includedir}/*.h

%changelog
* Sat Nov 24 2007 Carsten Schoene <cs@linux-administrator.com> - 19.1-0
- build v19
